Mozilla Mail Windows quits [@ ConvertToUnicode]

VERIFIED FIXED

Status

defect
P2
critical
VERIFIED FIXED
17 years ago
11 years ago

People

(Reporter: praveen, Assigned: nhottanscp)

Tracking

({crash})

Trunk
x86
Windows 2000
Dependency tree / graph

Firefox Tracking Flags

(Not tracked)

Details

(Whiteboard: [adt2], crash signature)

Attachments

(1 attachment)

Hi,

I'm using mozilla mail from 0.96 version onwards..Mozilla 1.0 mail is one of the
best mail clients I have seen in my 3 yrs life in IT field.

But 1.0 has one major bug which is the same one I had faced with 0.9.6. Mozilla
mail client exits very frequently with a message "Mozilla.exe has generated
errors and will be closed by windows" which according to me is a very critical
bug. It prevents users like me to switch over to netscape.

I had even entered similar details in talk back feedback agent...and I didnt
receive any replies. Please fix it at the earliest and let me know.

Regards,
Praveen
Software Engineer
Elixir Technology Pte Ltd
Email : praveen@elixirtech.com
Phone : (65) 6532 4300
Fax   : (65) 6532 4255
Web   : http://www.elixirtech.com
Priority: -- → P1
Summary: Mozilla Mail Windows quits → Mozilla Mail Windows quits
Target Milestone: --- → mozilla1.0
Praveen, can you provide the talkback-ID of the crash you are seeing? It is
impossible to solve this without a crash report.
Praveen: Priority and Target Milestone are for developer to prioritize his work
and for setting point, where this bug should be fixed, so don't change them if
you aren't bug owner. Setting back.
Keywords: crash, stackwanted
Priority: P1 → --
Target Milestone: mozilla1.0 → ---
Reporter:
We need the talkback ID for that crash.
After talkback submitted the crash run mozilla/components/talkback to get the ID
Whiteboard: TB7410220K
Talk back Incident ID : TB7410220K 

This case happened when I tried forwarding an email ! 

Thanks.

Regards,
Praveen
Software Engineer
Elixir Technology Pte Ltd
Email : praveen@elixirtech.com
Phone : (65) 6532 4300
Fax   : (65) 6532 4255
Web   : http://www.elixirtech.com 
Incident ID 7410220
Stack Signature ConvertToUnicode 60e0499b
Email Address praveen@elixirtech.com
Product ID MozillaTrunk
Build ID 2002061104
Trigger Time 2002-06-16 20:39:37
Platform Win32
Operating System Windows NT 5.0 build 2195
Module msgbsutl.dll
URL visited
User Comments When I was trying to forward an email, it quits the whole
application(mozilla mail client 1.0) with an error message "mozilla.exe has
generated errors and will be closed by windows"
Trigger Reason Access violation
Source File Name nsMsgI18N.cpp
Trigger Line No. 314
Stack Trace
ConvertToUnicode [nsMsgI18N.cpp, line 314]
mime_insert_forwarded_message_headers [mimedrft.cpp, line 1198]
mime_parse_stream_complete [mimedrft.cpp, line 1492]
nsStreamConverter::OnStopRequest [nsStreamConverter.cpp, line 1017]
nsMsgProtocol::OnStopRequest [nsMsgProtocol.cpp, line 344]
nsMailboxProtocol::OnStopRequest [nsMailboxProtocol.cpp, line 375]
nsOnStopRequestEvent::HandleEvent [nsRequestObserverProxy.cpp, line 213]
PL_HandleEvent [plevent.c, line 597]
PL_ProcessPendingEvents [plevent.c, line 530]
_md_EventReceiverProc [plevent.c, line 1078]
nsAppShellService::Run [nsAppShellService.cpp, line 451]
main1 [nsAppRunner.cpp, line 1472]
main [nsAppRunner.cpp, line 1808]
WinMain [nsAppRunner.cpp, line 1826]
WinMainCRTStartup()
KERNEL32.DLL + 0x17d08 (0x77e97d08) 
Marking NEW and -> Internationalization (?)
Assignee: sspitzer → nhotta
Component: Mail Window Front End → Internationalization
Keywords: stackwanted
QA Contact: olgam → ji
Summary: Mozilla Mail Windows quits → Mozilla Mail Windows quits [@ ConvertToUnicode]
Whiteboard: TB7410220K
Status: UNCONFIRMED → NEW
Ever confirmed: true
I cannot reproduce this. But from the talkback result, I think the function gets
null for charset.
Status: NEW → ASSIGNED
Keywords: nsbeta1
Praveen, what are the steps to reproduce this bug? How do you forward: as inline
or as attachment? Would you please attach a mail that causes a crash to this bug
report? I have to see where the conversion goes wrong. Thanks.
Comment on attachment 87967 [details] [diff] [review]
Check null pointer for arguments.

R=ducarroz
Attachment #87967 - Flags: review+
Comment on attachment 87967 [details] [diff] [review]
Check null pointer for arguments.

sr=bienvenu
Attachment #87967 - Flags: superreview+
QA contact to marina. Thanks.
QA Contact: ji → marina
There are about thirty similar reports, most of them mention crashing at
forward. I think they are forward as inline since the code is only called for
forward inline.
nsbeta1+ and adt2 based on 30+ duplicate crash found in the http://twister with
teh same signature. 
Blocks: 141008
Priority: -- → P2
Whiteboard: [adt2]
Look at
http://climate/reports/VeryFastSearchStackSigNEW.cfm?stacksig=ConvertToUnicode
for the duplicated crash
since the climate is slow. I copy and paste the result below


Results for Stack Signature : ConvertToUnicode
Sorted by build id and crash submitted time
Build ID Product ID Operating System Trigger Time Stack Signature URL visited
User Comments Email Address Detailed Seconds Since
Last Crash Total Runtime
2002061308 Gecko1.0 Windows NT 5.0 build 2195 2002-06-13 15:49:52
ConvertToUnicode 60e0499b crashed when I tried to forward a message
ssu@netscape.com 7320026 18883 18883
2002061104 MozillaTrunk Windows NT 5.0 build 2195 2002-06-16 20:39:37
ConvertToUnicode 60e0499b When I was trying to forward an email, it quits the
whole application(mozilla mail client 1.0) with an error message "mozilla.exe
has generated errors and will be closed by windows" praveen@elixirtech.com
7410220 8559 8559
2002053015 Gecko1.0 Windows NT 5.0 build 2195 2002-06-17 08:33:31
ConvertToUnicode 8a33243a 7425826 188865 225036
2002053015 Gecko1.0 Windows NT 5.1 build 2600 2002-06-12 21:50:38
ConvertToUnicode 776d4b04 7293704 51882 51882
2002053015 Gecko1.0 Windows NT 5.0 build 2195 2002-06-08 14:18:14
ConvertToUnicode 7c0be7bb Clicked the Forward Button from the toolbar. The
message was in a User created folder in the Local Folders area.
funkman@joedog.org 7143801 42205 42205
2002053015 Gecko1.0 Windows NT 5.0 build 2195 2002-06-06 18:42:06
ConvertToUnicode 60e0499b I was trying to forward a message in my mozilla email
client and I had faced this problem quite regularily in mozilla 0.9.7...Sad that
it occurs in 1.0 also...The error message was "mozilla.exe has generated errors
and will be closed by windows " Keep praveen@elixirtech.com 7088108 15619 15619
2002053015 Gecko1.0 Windows NT 5.0 build 2195 2002-06-06 18:42:06
ConvertToUnicode 60e0499b me posted about this bug. Regards, Praveen
praveen@elixirtech.com 7088108 15619 15619
2002052309 Gecko1.0 Linux 2.4.18-4 2002-06-04 20:52:34 ConvertToUnicode()
a7d496e8 7012290 25568 25619
2002052309 Gecko1.0 Linux 2.4.18-4 2002-06-04 13:01:34 ConvertToUnicode()
a7d496e8 Click Forward in Mozilla Mail on a message that is other than a plain
text message 6998708 51 51
2002052308 Gecko1.0 Windows 98 4.90 build 73010104 2002-06-12 22:36:20
ConvertToUnicode e7ceb825 tweek@mynra.com 7294555 8356 8356
2002052308 Gecko1.0 Windows NT 5.0 build 2195 2002-06-05 23:30:58
ConvertToUnicode 7bc844e3 Mail Client when i move an Mail from one Folder to an
other. 7055040 607867 607867
2002052308 Gecko1.0 Windows NT 5.0 build 2195 2002-06-05 05:48:23
ConvertToUnicode 3b539821 Hit Forward button to forward a selected message. Read
access violation. Stack trace: MSGBSUTL! 60f34439() MIME! 607395b7() MIME!
60738ec6() MIME! 60732ca9() MSGIMAP! 6087db4d() NECKO! 6096d927() XPCOM!
6116d41f() SETUPAPI! 778b0c Terry@amicas.com 7022725 65310 501372
2002052308 Gecko1.0 Windows NT 5.0 build 2195 2002-06-05 05:48:23
ConvertToUnicode 3b539821 814C508CBAF29644 MM4 = 0000000000000000 MM5 =
0000000000000000 MM6 = 0000000000000000 MM7 = FA00000000000000 XMM0 =
0012FDF00012FD40000000180000001B XMM1 = 7FFDE0000012FFB000000000BAF29DD8 XMM2 =
BAF2991C814C5054BAF296480012FDC8 XMM3 = Terry@amicas.com 7022725 65310 501372
2002052308 Gecko1.0 Windows NT 5.0 build 2195 2002-06-05 05:48:23
ConvertToUnicode 3b539821 0000 OV=0 UP=0 EI=1 PL=0 ZR=0 AC=0 PE=1 CY=0 XMM00 =
+3.78351E-044 XMM01 = +3.36312E-044 XMM02 = +1.74389E-039 XMM03 = +1.74413E-039
XMM10 = -1.85102E-003 XMM11 = +0.00000E+000 XMM12 = +1.74476E-039 XMM13 =
+1.#QNANE+000 XMM20 = +1.74408E-039 XMM21 Terry@amicas.com 7022725 65310 501372
2002052308 Gecko1.0 Windows NT 5.0 build 2195 2002-06-05 05:48:23
ConvertToUnicode 3b539821 +1.40130E-045 XMM51 = -1.12869E-019 XMM52 =
+1.19951E-042 XMM53 = +1.84971E-043 XMM60 = -1.56514E-019 XMM61 = +6.32179E-024
XMM62 = -5.29730E-038 XMM63 = +6.39724E-039 XMM70 = +1.84971E-043 XMM71 =
+0.00000E+000 XMM72 = +7.34741E-039 XMM73 = Terry@amicas.com 7022725 65310 501372
2002052308 Gecko1.0 Windows NT 5.0 build 2195 2002-06-05 05:48:23
ConvertToUnicode 3b539821 +0.00000000000000000e+0000 ST7 =
+5.00000000000000000e+0002 CTRL = 027F STAT = 4023 TAGS = FFFF EIP = 78001E27 CS
= 001B DS = 0023 EDO = 0012F434 Memory: 60F34405 pop ebx 60F34406 leave 60F34407
ret 60F34408 push ebp Terry@amicas.com 7022725 65310 501372
2002052308 Gecko1.0 Windows NT 5.0 build 2195 2002-06-05 05:48:23
ConvertToUnicode 3b539821 edi 60F3441B jne 60F34427 60F3441D mov eax,80004003h
60F34422 jmp 60F34603 60F34427 cmp byte ptr [esi],bl 60F34429 jne 60F34436
60F3442B mov ecx,dword ptr [ebp+10h] 60F3442E push Terry@amicas.com 7022725
65310 501372
2002052308 Gecko1.0 Windows NT 5.0 build 2195 2002-06-05 05:48:23
ConvertToUnicode 3b539821 Current instruction pointer at 60F34439. This is the
second time I've seen this. It appears to be specific to the message being
forwarded. It is repeatable. Terry@amicas.com 7022725 65310 501372
2002052308 Gecko1.0 Windows NT 5.0 build 2195 2002-06-05 05:48:23
ConvertToUnicode 3b539821 push 60F48EECh 60F34454 call 60F361A2 60F34459 pop ecx
60F3445A test eax,eax 60F3445C pop ecx 60F3445D jne 60F3447C 60F3445F push esi
60F34460 call dword ptr ds:[60F3722Ch] Terry@amicas.com 7022725 65310 501372
2002052308 Gecko1.0 Windows NT 5.0 build 2195 2002-06-05 05:48:23
ConvertToUnicode 3b539821 60F3443D push edi 60F3443E push 60F48EF8h 60F34443
call 60F361A2 60F34448 pop ecx 60F34449 test eax,eax 60F3444B pop ecx 60F3444C
je 60F3445F 60F3444E push edi 60F3444F Terry@amicas.com 7022725 65310 501372
2002052308 Gecko1.0 Windows NT 5.0 build 2195 2002-06-05 05:48:23
ConvertToUnicode 3b539821 ebx 60F3442F mov eax,dword ptr [ecx] 60F34431 call
dword ptr [eax+24h] 60F34434 jmp 60F34475 60F34436 mov edi,dword ptr [ebp+8]
60F34439 cmp byte ptr [edi],bl 60F3443B je 60F3445F Terry@amicas.com 7022725
65310 501372
2002052308 Gecko1.0 Windows NT 5.0 build 2195 2002-06-05 05:48:23
ConvertToUnicode 3b539821 60F34409 mov ebp,esp 60F3440B sub esp,1DCh 60F34411
push ebx 60F34412 push esi 60F34413 mov esi,dword ptr [ebp+0Ch] 60F34416 xor
ebx,ebx 60F34418 cmp esi,ebx 60F3441A push Terry@amicas.com 7022725 65310 501372
2002052308 Gecko1.0 Windows NT 5.0 build 2195 2002-06-05 05:48:23
ConvertToUnicode 3b539821 +0.00000E+000 MXCSR = 00001F80 ST0 =
+0.00000000000000000e+0000 ST1 = +0.00000000000000000e+0000 ST2 =
+0.00000000000000000e+0000 ST3 = +9.06221337680116653e+1242 ST4 =
+0.00000000000000000e+0000 ST5 = +0.00000000000000000e+0000 ST6 =
Terry@amicas.com 7022725 65310 501372
2002052308 Gecko1.0 Windows NT 5.0 build 2195 2002-06-05 05:48:23
ConvertToUnicode 3b539821 = -1.85079E-003 XMM22 = -3.75265E-038 XMM23 =
-1.85088E-003 XMM30 = -6.42754E-039 XMM31 = -5.99489E-039 XMM32 = +0.00000E+000
XMM33 = +1.#QNANE+000 XMM40 = +0.00000E+000 XMM41 = -1.85088E-003 XMM42 =
-1.08432E-019 XMM43 = -5.35146E-038 XMM50 = Terry@amicas.com 7022725 65310 501372
2002052308 Gecko1.0 Windows NT 5.0 build 2195 2002-06-05 05:48:23
ConvertToUnicode 3b539821 7FFDE6CC00000000804147538045FD60 XMM4 =
8191AE3CA0000373BAF2992C00000000 XMM5 = 0000008400000358A005408C00000001 XMM6 =
0045A8E8819034C818F48FF5A038C770 XMM7 = 00000000005001940000000000000084 CS =
001B DS = 0023 ES = 0023 SS = 0023 FS = 0038 GS = Terry@amicas.com 7022725 65310
501372
2002052308 Gecko1.0 Windows NT 5.0 build 2195 2002-06-05 05:48:23
ConvertToUnicode 3b539821 Registers: EAX = 0012FA34 EBX = 00000000 ECX =
00000000 EDX = 80000000 ESI = 044EB7E0 EDI = 00000000 EIP = 60F34439 ESP =
0012F82C EBP = 0012FA14 EFL = 00200206 MM0 = 00000001000000AF MM1 =
BAF29614819034C8 MM2 = BAF2991C80469FD3 MM3 = Terry@amicas.com 7022725 65310 501372
2002052308 Gecko1.0 Windows NT 5.0 build 2195 2002-05-28 09:22:33
ConvertToUnicode 3b539821 Selected a particular message in my IMAP inbox and hit
the Forward button. As soon as Forward button released, crash occurred. This
problem is repeatable. However, the problem appears to be caused only when
attempting to forward a specific message. Terry@amicas.com 6752792 201 238994
2002052308 Gecko1.0 Windows NT 5.0 build 2195 2002-05-28 09:22:33
ConvertToUnicode 3b539821 Contact me for a copy of the message causing the
crash. Terry@amicas.com 6752792 201 238994
2002052308 Gecko1.0 Windows NT 5.0 build 2195 2002-05-28 09:17:51
ConvertToUnicode 3b539821 Started Mozilla fresh after previous crash. It
auto-opened my IMAP inbox. I scrolled to end of message list and selected a
message and hit the Forward button. As soon as Forward button released, crash
occurred. Contact me if you want a copy of the message Terry@amicas.com 6752687
96 238793
2002052308 Gecko1.0 Windows NT 5.0 build 2195 2002-05-28 09:17:51
ConvertToUnicode 3b539821 being forwarded when crash occurred. Terry@amicas.com
6752687 96 238793
2002052308 Gecko1.0 Windows NT 5.0 build 2195 2002-05-28 09:14:27
ConvertToUnicode 3b539821 Started messenger. It auto-opened my IMAP inbox. I
scrolled down to the bottom of the message list. I selected a message and hit
the Forward button. Crash occurred as soon as Forward button released.
Terry@amicas.com 6752475 54 238697
2002052308 Gecko1.0 Windows NT 5.0 build 2195 2002-05-28 09:11:48
ConvertToUnicode 3b539821 In messenger. Just started the process. Selected one
message in inbox and dragged it to another mailbox. Then selected another
message and hit forward button. Crach occurred instantly when Forward button was
pressed. Terry@amicas.com 6752355 82 238643
2002052308 Gecko1.0 Windows NT 5.0 build 2195 2002-05-28 09:08:39
ConvertToUnicode 3b539821 Had just deleted several mail messages and moved one
message from inbox to another box. Then selected a message and hit the "Forward"
button and crash occurred instantly. Terry@amicas.com 6752243 238561 238561
2002052308 MozillaTrunk Windows NT 5.0 build 2195 2002-05-23 14:47:59
ConvertToUnicode 7c0be7bb crashed file attempting to forward a message
ssu@netscape.com 6605009 131 131
2002052308 Gecko1.0 Windows NT 5.0 build 2195 2002-05-23 14:42:06
ConvertToUnicode 7c0be7bb crashed while attempting to forward a message
ssu@netscape.com 6604792 31 31
2002051220 Gecko1.0 Windows 98 4.10 build 67766446 2002-06-17 10:07:05
ConvertToUnicode cdfeca63 Printed out a copy of a sent message and was trying to
forward the sent message. sharon.hunter@wku.edu 7429196 14944 14953
2002051220 Gecko1.0 Windows NT 5.0 build 2195 2002-06-11 20:52:44
ConvertToUnicode 24fb7762 kishida0@osk.3web.ne.jp 7253834 66516 66516
2002051220 Gecko1.0 Windows 98 4.10 build 67766446 2002-05-29 19:07:08
ConvertToUnicode cdfeca63 reottele@ev1.net 6810511 6575 6575
2002051220 Gecko1.0 Windows NT 5.1 build 2600 2002-05-26 13:03:33
ConvertToUnicode d0bae950 Sending email sjchinigo@ids.net 6691976 3946 3946
2002051220 Gecko1.0 Windows NT 5.1 build 2600 2002-05-24 11:03:27
ConvertToUnicode 3e9c9cbf 6636380 12698 12698
2002051009 Gecko1.0 Linux 2.4.18-4 2002-06-04 12:43:27 ConvertToUnicode()
ab59dd94 6998070 302935 1179177
2002051009 Gecko1.0 Linux 2.4.18-4 2002-05-27 01:56:55 ConvertToUnicode()
ab59dd94 6706739 537317 876242
2002051008 Gecko1.0 Windows NT 5.1 build 2600 2002-05-22 07:41:42
ConvertToUnicode 3e9c9cbf 6547208 30548 71674
checked in to the trunk
Status: ASSIGNED → RESOLVED
Closed: 17 years ago
Resolution: --- → FIXED
Hi all, I can send the email which when forwarded will definitely reproduce the
same effect of quitting mozilla mail client. Talkback ID for this particular
email is TB7445307X. Ill send the email personally to the above addresses
mentioned as Im not sure whether it will produce the same effect if I copy /
paste the contents of the email.

Regards,
Praveen.
This problem doesnt occur if I forward the same email as "attachment" instead of
inline text.

Regards,
Praveen.
Attachment #87967 - Flags: approval+
please checkin to the 1.0.1 branch. once there, remove the "mozilla1.0.1+"
keyword and add the "fixed1.0.1" keyword.
approved by adt in email. 
Keywords: adt1.0.1adt1.0.1+
PROBLEM SOLVED.

Mozilla's nightly build 6/18
(http://ftp.mozilla.org/pub/mozilla/nightly/2002-06-18-08-trunk/
mozilla-win32-insaller-sea.exe) has fixed this problem. Now I can try on the
same mail which caused problem and can prove that it is fixed. If I retry using
1.0 or 1.1a earlier version, it fails. So Im sure that the problem is fixed.

Thanks a lot...Mozilla folks for your wonderful support.
Regards,
Praveen
Software Engineer
Elixir Technology Pte Ltd
Email : praveen@elixirtech.com
Phone : (65) 6532 4300
Fax   : (65) 6532 4255
Web   : http://www.elixirtech.com 
Blocks: 146292
No longer blocks: 141008
checked in to 1.0.1 branch
Keywords: fixed1.0.1
Keywords: mozilla1.0.1+
verified with 2002-08-12-1.0 build by forwarding as inline the email that
praveen sent. No crash
Status: RESOLVED → VERIFIED
Keywords: verified1.0.1
No no, the problem still persists...in Netscape 7.0 and mozilla 1.0
If you forward the mail I sent, it doesnt crash becoz i need to send that mail
as attachment and not as inline text becoz it will crash if i send as inline.
But I can prove that it crashes if send as inline text using mozilla latest
version also.

Also FYI, I had download mozilla-win32-installer-sea.exe(nightly build) on
19.6.2002 which solves the problem but that solution is not incorportated in any
of the latest releases like 1.0.1 (or 1.1)...or netscape 7 etc.

Praveen.
I downloaded 1.1b (mozilla) today and found that the bug is fixed..Sorry for
giving false alarms.

Great job ...mozilla folks.
My sincere appreciation.

Regards,
Praveen.
I downloaded 1.1b (mozilla) today and found that the bug is fixed..Sorry for
giving false alarms. You can mark the bug as closed.

Great job ...mozilla folks.
My sincere appreciation.

Regards,
Praveen.
Product: MailNews → Core
Product: Core → MailNews Core
Crash Signature: [@ ConvertToUnicode]
You need to log in before you can comment on or make changes to this bug.